<?php

// -----------------------------------------------------------------------
// This file is part of aroundme
// 
// Copyright (C) 2003, 2005 Barnraiser
// http://www.barnraiser.org/
// info@barnraiser.org
// 
// This program is free software; you can redistribute it and/or modify it
// under the terms of the GNU General Public License as published by the
// Free Software Foundation; either version 2, or (at your option) any
// later version.
// 
// This program is distributed in the hope that it will be useful, but
// WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
// General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with program; see the file COPYING. If not, write to the Free
// Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA
// 02111-1307, USA.
// -----------------------------------------------------------------------

include "inc/header_sn.inc.php";


//append language setup
require_once($languageArrayPath . 'arr_user.lang.php');


//setup file
$file->noimage = $c_node['file']['image']['thumb'][3]['noimage'];
$file->thumb = $c_node['file']['image']['thumb'][3]['name'];
$user->file = $file;


//setup social network
$sn->status_ids = $c_node['user']['status'];
$sn->date = $date;

$output_friend_ids = $sn->getFriends($user_id);
if (!empty($output_friend_ids)) {
	foreach($output_friend_ids as $key => $i):
		$user->user_ids[] = $i;
	endforeach;
}

$user->orderby = "p.profile_nic";
$output_friends = $user->getProfiles();
if (!empty($output_friends)) {
	foreach($output_friends as $key => $i):
		$total_friends = $sn->getFriends($i['user_id']);
		$output_friends[$key]['sn_total'] = count($total_friends);
	endforeach;
}


//move to template
if (!empty($output_friends)) {
	$body->set('friends', $output_friends);
}

if (!empty($output_relationship)) {
	$body->set('relationship', $output_relationship);
}

if (!empty($output_profile)) {
   $body->set('profile', $output_profile);
}

$template_pageLink =  $lang['txt_friends'];

include "inc/footer.inc.php";
?>
